#!/bin/bash

if [ $# -ne 2 ] ; then
	echo
	echo "need two arguments:"
	echo "    source dir"
	echo "    mp4 filename"
	exit 1
fi

SDIR="$1"
FNAME="$2"
echo "Encoding from " $SDIR " to " $FNAME

TITLE='---{ experimental }---'

ffmpeg  -nostdin					\
	-loglevel warning				\
	-y -r 25 -f image2 -i $SDIR/%05d.png 		\
	-metadata artist='---{ tTh }---'		\
	-metadata title="${TITLE}"			\
	-c:v libx264 -pix_fmt yuv420p			\
	$FNAME


